| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > быстрый выбор, не работает на листах?

быстрый выбор, не работает на листах?

Ответ
Поиск в этой теме
Непрочитано 22.05.2006, 10:07 #1
быстрый выбор, не работает на листах?
Pave1
 
электроснабжение и автоматика
 
г. Пермь
Регистрация: 21.06.2005
Сообщений: 329

Часто пользуюсь этой возможностью AutoCad. И только сейчас заметил, что она не работает на листах. Точнее работает только на одном листе, на том, на котором запускаешь быстрый выбор. А если необходимо выбрать все, к примеру, линии, имеющие одно и тоже свойство, но расположенные на разных листах, то ничего не выходит.
А может быть надо что-то сменить?
и еще! А для чего необходим PICKADD переключатель?
__________________
хочу все знать
Просмотров: 7733
 
Непрочитано 22.05.2006, 10:43
#2
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 38,809


Штатными средствами это невозможно. А что надо в результате?
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 22.05.2006, 12:09
#3
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,910
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Цитата:
А для чего необходим PICKADD переключатель?
http://www.caduser.ru/acad/index.php?var_name=PICKADD
Нарисуй 2 отрезка и попробуй ПРЕДВАРИТЕЛЬНО выбирать их с разными значениями PICKADD

Последний раз редактировалось VVA, 26.10.2011 в 20:03. Причина: орфоргафия
VVA вне форума  
 
Автор темы   Непрочитано 22.05.2006, 12:28
#4
Pave1

электроснабжение и автоматика
 
Регистрация: 21.06.2005
г. Пермь
Сообщений: 329


Просто сталкнулся сегодня с тем что мои чертежи неустраивают мое начальство. А именно оформление!
Им видите ли не нравится толщина линии в рамке и штампе!
Раньше у меня штамп был выполнен в виде блока, и изменить блок не составляло труда. А теперь штамп в виде надора полининий и вставленные поля в многострочный текст.
И вот я решил выделить все линии с одинаковым свойством "Глобальная ширина"
А они не выделяются :(
__________________
хочу все знать
Pave1 вне форума  
 
Автор темы   Непрочитано 22.05.2006, 12:40
#5
Pave1

электроснабжение и автоматика
 
Регистрация: 21.06.2005
г. Пермь
Сообщений: 329


понял для чего нужен этот PICKADD :)
__________________
хочу все знать
Pave1 вне форума  
 
Непрочитано 22.05.2006, 12:46
#6
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,910
<phrase 1= Отправить сообщение для VVA с помощью Skype™


>Pave1 Все работает. Просто когда делаешь быстрый выбор, выбираешь не "Применить ко всему рисунку", а жмешь рядом на кнопочку "Выбрать объекты", на запрос "Выберите объекты" отвечаешь _ALL, дальше тип объектов -> Полилиния, свойства-> Глобальная ширина=X или как там у тебя.

Последний раз редактировалось VVA, 26.10.2011 в 20:03.
VVA вне форума  
 
Автор темы   Непрочитано 22.05.2006, 13:02
#7
Pave1

электроснабжение и автоматика
 
Регистрация: 21.06.2005
г. Пермь
Сообщений: 329


VVA
спасибо, это имено то что надо :)
__________________
хочу все знать
Pave1 вне форума  
 
Непрочитано 26.10.2011, 15:15
#8
emilko


 
Регистрация: 18.06.2009
Сообщений: 11


Цитата:
>Pave1 Все работает. Просто когда делаешь быстрый выбор, выбираешь не "Пименить ко всему рисунку", а жмешь рядом на кнопочку "Выбрать объекты", на запрос "Выберите объекты" отвечаешь _ALL, дальше тип объектов -> Полилиния, свойства-> Глобальная ширина=X или как там у тебя.
теме ап, пытался все параллельные размеры на всех листах перенести в другой слой, по этому же принципу , но у меня выделяются только на открытом листе, какое решение в данном случае может быть?
emilko вне форума  
 
Непрочитано 26.10.2011, 15:58
#9
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 38,809


Быстрый выбор работает только в текущем пространстве.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 26.10.2011, 16:13
#10
AlexV

Инженер
 
Регистрация: 02.10.2008
С-Пб
Сообщений: 3,664


Цитата:
Сообщение от Кулик Алексей aka kpblc Посмотреть сообщение
Быстрый выбор работает только в текущем пространстве.
.. Причем только в текущем листе.. Вроде пространств-то два (ThisDrawing.ModelSpace да ThisDrawing.PaperSpace), но как выбрать объекты в PaperSpace, живущие на разных листах? Хотя бы программно? Можно ли перебрать объекты в PaperSpace, не активируя последовательно листы?
__________________
...Не пытайся гнуть ты ложку,
Не вяжи её узлом.
Ложка - ложка понарошку,
А по правде, - это лом!
AlexV вне форума  
 
Непрочитано 26.10.2011, 16:16
#11
Хмурый


 
Регистрация: 29.10.2004
СПб
Сообщений: 16,284


команда _find ищет тексты во всех листах и пространствах
Хмурый вне форума  
 
Непрочитано 26.10.2011, 16:22
#12
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 38,809


Цитата:
Сообщение от AlexV Посмотреть сообщение
Можно ли перебрать объекты в PaperSpace, не активируя последовательно листы
Конечно, можно. В качестве идеи:
Код:
[Выделить все]
For Each oSpace In ThisDrawing.Layouts
  For Each oAcadEntity In oSpace.Block
    ' И здесь делаешь чего надо
  Next
Next
На лиспе решение аналогичное. Просто проверить сейчас не могу
P.S. Хотя я бы тупо шел через все блоки - как правило, мне требуется именно такое решение
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 26.10.2011, 16:45
#13
AlexV

Инженер
 
Регистрация: 02.10.2008
С-Пб
Сообщений: 3,664


Цитата:
Сообщение от Кулик Алексей aka kpblc Посмотреть сообщение
Конечно, можно. В качестве идеи:
Код:
[Выделить все]
For Each oSpace In ThisDrawing.Layouts
  For Each oAcadEntity In oSpace.Block
    ' И здесь делаешь чего надо
  Next
Next
На лиспе решение аналогичное. Просто проверить сейчас не могу
P.S. Хотя я бы тупо шел через все блоки - как правило, мне требуется именно такое решение
идея работаеть! Это ежели пообъектно перебирать.. А набор объектов создать нельзя по типу:
Код:
[Выделить все]
 objSelSet.Select acSelectionSetAll, , , intType, varData
?
__________________
...Не пытайся гнуть ты ложку,
Не вяжи её узлом.
Ложка - ложка понарошку,
А по правде, - это лом!
AlexV вне форума  
 
Непрочитано 26.10.2011, 17:41
#14
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 38,809


В лиспе можно - (ssget "_X"). А вот как в VBA... Не знаю
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 27.10.2011, 14:29
#15
emilko


 
Регистрация: 18.06.2009
Сообщений: 11


Не понял, а под выделение размеров на всех листах как лисп будет выглядеть?
emilko вне форума  
 
Непрочитано 27.10.2011, 15:22
#16
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 38,809


А что с ними хочешь сделать?
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 27.10.2011, 16:01
#17
emilko


 
Регистрация: 18.06.2009
Сообщений: 11


Как уже говорил, необходимо перенести параллельные размеры на всех листах из одного слоя в другой.
emilko вне форума  
 
Непрочитано 27.10.2011, 16:15
#18
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 38,809


Код:
[Выделить все]
 (vl-load-com)

(defun c:chd (/ adoc)
  (vla-startundomark (setq adoc (vla-get-activedocument (vlax-get-acad-object))))
  (foreach item (vl-remove-if '(lambda (x) (listp x)) (mapcar 'cadr (ssnamex (ssget "_X" '((0 . "DIMENSION"))))))
    (vl-catch-all-apply
      (function
        (lambda (/ e)
          (setq e (entget item))
          (entmod (subst (cons 8 "NewLayer")
                         (assoc 8 e)
                         e
                         ) ;_ end of subst
                  ) ;_ end of entmod
          (entupd item)
          ) ;_ end of lambda
        ) ;_ end of function
      ) ;_ end of vl-catch-all-apply
    ) ;_ end of foreach
  (vla-endundomark adoc)
  (princ)
  ) ;_ end of defun
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 27.10.2011, 16:48
#19
emilko


 
Регистрация: 18.06.2009
Сообщений: 11


Благодарю.
emilko вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > быстрый выбор, не работает на листах?

Инженерная печать чертежей и проектной документации до А0+
Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск